Lightroom cannot open my "too new" backup catalog!!

  • 1
  • Problem
  • Updated 3 years ago
Since CC2015 I've been having the problem reported previously of Lightroom apparently stalling during the backup on exit routine. It does create a backup of the catalog, however, and Ive just tried to start LR from that copy. I get the message "the catalog cannot be opened because it is too new to be used by this version of Lightroom" - which means that the backup gives me no security. Any advice greatly appreciated.
Photo of John Woodman

John Woodman

  • 15 Posts
  • 1 Reply Like

Posted 3 years ago

  • 1
Photo of Ian Chalmers

Ian Chalmers

  • 1 Post
  • 0 Reply Likes
I too get the same message when I try and open LR5 after reinstalling.
I had to replace a hard drive and downloaded my standalone LR6 from CC2015 which was not made easy.
Now when I download my older LR5 it says that same message. I have tried deleting the "lock" file in LR6 but every time I launch it the "lock" file comes back into the program.
My LR6 works ok, its the LR5 that will not launch.
Anyone have any ideas?